"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const HttpClient_1 = require("./HttpClient");
const SystemClient_1 = require("./SystemClient");
const XrayLogger_1 = require("./XrayLogger");
const SummaryClient_1 = require("./SummaryClient");
class XrayClient {
    constructor(config) {
        const { serverUrl, logger = console, username, password, proxy, headers } = config;
        if (!serverUrl) {
            throw new Error('Xray client : must provide serverUrl');
        }
        this.httpClient = new HttpClient_1.HttpClient({ serverUrl, username, password, proxy, headers });
        this.logger = new XrayLogger_1.XrayLogger(logger);
    }
    summary() {
        return new SummaryClient_1.SummaryClient(this.httpClient);
    }
    system() {
        return new SystemClient_1.SystemClient(this.httpClient);
    }
}
exports.XrayClient = XrayClient;
//# sourceMappingURL=XrayClient.js.map